
//- Ten plik zawiera obsluge zdarzen wywolanych przez moduly BBMagic BUTTON
//-----------------------------------------------------------------------------------
//-This file contains functions for handling BBmagic BUTTONs modules events

void button_action(unsigned char *bbm_buf)
{
    int adc1, adc2 ;
    float vcc_f ;

    //-sprawdz adres sensora (zastap "111111111111" adresem Twojego sensora BBMagic BUTTON)
    //-------------------------------------------------------------------------------------------
    //-check sensor address (replace "111111111111" with your first BBMagic BUTTON address)
    if( bbm_check_addr("111111111111", bbm_buf) )
    {
        bbm_print_local_time("%T ") ;

        //-sprawdz wywolana funkcje i wykonaj
        //--------------------------------------------------------
        //-check button function and do some job
        if(bbm_buf[BBM_BUTTON_BUTTON_FUNCTION] == BBM_BUTTON_FN_SINGLE_CLICK)
        {
            printf("Function: SINGLE_CLICK\n") ;
        }else if(bbm_buf[BBM_BUTTON_BUTTON_FUNCTION] == BBM_BUTTON_FN_DOUBLE_CLICK)
        {
            printf("Function: DOUBLE_CLICK\n") ;
        }else if(bbm_buf[BBM_BUTTON_BUTTON_FUNCTION] == BBM_BUTTON_FN_HOLDING)
        {
            printf("Function: HOLDING\n") ;
        }
        
        //-Light [0 - 255], chip temperature, BBM_BUTTON_INPUT_PINS
        printf(" L=%d chT=%d*C INPUTS=%0.2X\n", bbm_buf[BBM_BUTTON_LIGHT], (signed char)bbm_buf[BBM_BUTTON_CHIP_TEMP], bbm_buf[BBM_BUTTON_INPUT_PINS]) ;
        if(bbm_buf[BBM_BUTTON_LIGHT] > 100)
        {

        }else if(bbm_buf[BBM_BUTTON_LIGHT] < 20)
        {

        }


        //- vcc
        vcc_f = (float)bbm_buf[BBM_BUTTON_V_SUP] ; vcc_f/=BBMAGIC_VCC_DIVIDER ;       //-calculate power suuply voltage
        printf(" Vcc=%0.2fV\n", vcc_f) ;
    }
    //-sprawdz kolejny adres (zastap "222222222222" adresem Twojego kolejnego sensora BBMagic FLOOD)
    //-----------------------------------------------------------------------------------------------
    //-check next sensor (replace "222222222222" with your next BBMagic FLOOD address)
    /*
    else if( bbm_check_addr("222222222222", bbm_buf) )
    {

    }
    */
}

