
//- Ten plik zawiera obsluge zdarzen wywolanych przez moduly BBMagic FLOOD
//-----------------------------------------------------------------------------------
//-This file contains functions for handling BBmagic FLOODs modules events

void flood_action(unsigned char *bbm_buf)
{
    float vcc_f ;

    //-sprawdz adres sensora (zastap "111111111111" adresem Twojego sensora BBMagic FLOOD)
    //-------------------------------------------------------------------------------------------
    //-check sensor address (replace "111111111111" with your first BBMagic FLOOD address)
//    if( bbm_check_addr("111111111111", bbm_buf) )
if( bbm_check_addr("CBFD786BAA68", bbm_buf) )
    {
        if(bbm_buf[BBM_FLOOD_ALERT_FLAGS] & BBM_FLOOD_ALERT_MASK)
        {
            printf("\n ------> FLOOD ALERT !!\n") ;
        }else
        {
            printf("\n ------> NO FLOOD :-)\n") ;
        }

        //-chip temperature
        printf(" chT=%d*C\n", (signed char)bbm_buf[BBM_FLOOD_CHIP_TEMP]) ;
        if(bbm_buf[BBM_FLOOD_CHIP_TEMP] > 15)
        {

        }

        //- vcc
        vcc_f = (float)bbm_buf[BBM_FLOOD_V_SUP] ; vcc_f/=BBMAGIC_VCC_DIVIDER ;       //-calculate power suuply voltage
        printf(" %0.2fV\n", vcc_f) ;
    }

    //-sprawdz kolejny adres (zastap "222222222222" adresem Twojego kolejnego sensora BBMagic FLOOD)
    //-----------------------------------------------------------------------------------------------
    //-check next sensor (replace "222222222222" with your next BBMagic FLOOD address)
    /*
    else if( bbm_check_addr("222222222222", bbm_buf) )
    {


    }
    */
}

