
//- Ten plik zawiera obsluge zadan zaplanowanych w czasie
//-----------------------------------------------------------------------------------
//-This file contains functions for handling scheduled tasks

//-----------------------------------------------------------------------------------
//-This function is calling once a minute
//-Ta funkcja jest wywolywana co minut
void scheduled_action(void)
{
    bbm_print_local_time("%T ") ;
    printf("--- check scheduled_action()\n") ;

    if(bbm_time_is_now(MO|TU|WE|TH|FR|SA|SU, 21.00))
        bbm_relay_on("relay_mosquito", REL_CH0) ;
    if(bbm_time_is_now(MO|TU|WE|TH|FR|SA|SU, 4.30))
        bbm_relay_off("relay_mosquito", REL_CH0) ;
        
    if(bbm_time_is_now(SU|MO|TU|WE|TH, 19.00))
        bbm_dimmer_set("dimmer_bedlamp", 100) ;
    if(bbm_time_is_now(SU|MO|TU|WE|TH, 22.00))
        bbm_dimmer_set("dimmer_bedlamp", 50) ;
    if(bbm_time_is_now(SU|MO|TU|WE|TH, 22.55))
        bbm_dimmer_set("dimmer_bedlamp", 0) ;
    if(bbm_time_is_now(FR|SA, 19.00))
        bbm_dimmer_set("dimmer_bedlamp", 100) ;
    if(bbm_time_is_now(FR|SA, 23.00))
        bbm_dimmer_set("dimmer_bedlamp", 50) ;
    if(bbm_time_is_now(FR|SA, 23.55))
        bbm_dimmer_set("dimmer_bedlamp", 0) ;
        
    if( bbm_time_is_now(FR|SA|SU, 19.00) )
        bbm_pwm_set("pwm_LED", 100, 100, 100) ;
    if( bbm_time_is_now(FR|SA|SU, 20.00) )
        bbm_pwm_set("pwm_LED", 70, 90, 80) ;
    if( bbm_time_is_now(FR|SA|SU, 21.00) )
        bbm_pwm_set("pwm_LED", 60, 70, 70) ;
    if( bbm_time_is_now(FR|SA|SU, 22.00) )
        bbm_pwm_set("pwm_LED", 50, 30, 20) ;
    if( bbm_time_is_now(FR|SA|SU, 23.00) )
        bbm_pwm_set("pwm_LED", 0, 0, 0) ;        
}

